Skip to navigation

Get Job

Returns the current state of an asynchronous job.

This endpoint is used as a polling target by other asynchronous workflows such as model preview and log export. The caller must know the job type and id that were returned when the job was created.

If the job is still running, the response returns status: running and may not include a result yet. Once complete, status becomes done or failed.

Only specific job types are supported by this endpoint. Passing an unknown type returns 400.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"

Unique identifier of the job (usually returned by whichever endpoint started the job).

typestringRequired

Job type. One of: createmodel, updatemodel, previewmodel, samplemodel, exportlogs, connectionproxy.

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobjectOptional

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error